#!/bin/bash

fqcnify_modules () {
    for i in "${modules[@]}"
    do
      find tasks/ handlers/ -name '*.yml' -exec sed -i -e "s/  $i:$/  $1.$i:/g" {} +
    done

    for i in "${modules_single_param[@]}"
    do
      find tasks/ handlers/ -name '*.yml' -exec sed -i -e "s/^  $i:/  $1.$i:/g" {} +
    done
}

# ansible.builtin
modules=(runas su sudo jsonfile memory default junit minimal oneline tree local paramiko_ssh psrp ssh winrm advanced_host_list auto constructed generator host_list ini script toml yaml config csvfile dict env file fileglob first_found indexed_items ini inventory_hostnames items lines list nested password pipe random_choice sequence subelements template together unvault url varnames vars add_host apt apt_key apt_repository assemble assert async_status blockinfile command copy cron debconf debug dnf dpkg_selections expect fail fetch file find gather_facts get_url getent git group group_by hostname import_playbook import_role import_tasks include include_role include_tasks include_vars iptables known_hosts lineinfile meta package package_facts pause ping pip raw reboot replace rpm_key script service service_facts set_fact set_stats setup shell slurp stat subversion systemd sysvinit tempfile template unarchive uri user validate_argument_spec wait_for wait_for_connection yum yum_repository cmd powershell sh debug free host_pinned linear host_group_vars)  
modules_single_param=(shell command raw)

fqcnify_modules ansible.builtin

modules=(doas dzdo ksu machinectl pbrun pfexec pmrun sesu sudosu memcached pickle redis yaml cgroup_memory_recap context_demo counter_enabled dense diy hipchat jabber log_plays loganalytics logdna logentries logstash mail nrdp null opentelemetry say selective slack splunk sumologic syslog_json unixy yaml chroot funcd iocage jail lxc lxd qubes saltstack zone cobbler gitlab_runners icinga2 linode lxd nmap online proxmox scaleway stackpath_compute virtualbox cartesian chef_databag consul_kv credstash cyberarkpassword dependent dig dnstxt dsv etcd etcd3 filetree flattened hiera keyring lastpass lmdb_kv manifold nios nios_next_ip nios_next_network onepassword onepassword_raw passwordstore random_pet random_string redis shelvefile tss aerospike_migrations airbrake_deployment aix_devices aix_filesystem aix_inittab aix_lvg aix_lvol ali_instance ali_instance_info alternatives ansible_galaxy_install apache2_mod_proxy apache2_module apk apt_repo apt_rpm archive atomic_container atomic_host atomic_image awall beadm bearychat bigpanda bitbucket_access_key bitbucket_pipeline_key_pair bitbucket_pipeline_known_host bitbucket_pipeline_variable bower bundler bzr campfire capabilities catapult circonus_annotation cisco_webex clc_aa_policy clc_alert_policy clc_blueprint_package clc_firewall_policy clc_group clc_loadbalancer clc_modify_server clc_publicip clc_server clc_server_snapshot cloud_init_data_facts cloudflare_dns cobbler_sync cobbler_system composer consul consul_acl consul_kv consul_session copr cpanm cronvar crypttab datadog_downtime datadog_event datadog_monitor dconf deploy_helper dimensiondata_network dimensiondata_vlan discord django_manage dnsimple dnsmadeeasy dpkg_divert easy_install ejabberd_user elasticsearch_plugin emc_vnx_sg_member etcd3 facter filesize filesystem flatpak flatpak_remote flowdock gandi_livedns gconftool2 gem git_config github_deploy_key github_issue github_key github_release github_repo github_webhook github_webhook_info gitlab_deploy_key gitlab_group gitlab_group_members gitlab_group_variable gitlab_hook gitlab_project gitlab_project_members gitlab_project_variable gitlab_protected_branch gitlab_runner gitlab_user grove gunicorn hana_query haproxy heroku_collaborator hg hipchat homebrew homebrew_cask homebrew_tap honeybadger_deployment hpilo_boot hpilo_info hponcfg htpasswd hwc_ecs_instance hwc_evs_disk hwc_network_vpc hwc_smn_topic hwc_vpc_eip hwc_vpc_peering_connect hwc_vpc_port hwc_vpc_private_ip hwc_vpc_route hwc_vpc_security_group hwc_vpc_security_group_rule hwc_vpc_subnet ibm_sa_domain ibm_sa_host ibm_sa_host_ports ibm_sa_pool ibm_sa_vol ibm_sa_vol_map icinga2_feature icinga2_host idrac_redfish_command idrac_redfish_config idrac_redfish_info imc_rest imgadm infinity influxdb_database influxdb_query influxdb_retention_policy influxdb_user influxdb_write ini_file installp interfaces_file ip_netns ipa_config ipa_dnsrecord ipa_dnszone ipa_group ipa_hbacrule ipa_host ipa_hostgroup ipa_otpconfig ipa_otptoken ipa_pwpolicy ipa_role ipa_service ipa_subca ipa_sudocmd ipa_sudocmdgroup ipa_sudorule ipa_user ipa_vault ipify_facts ipinfoio_facts ipmi_boot ipmi_power iptables_state ipwcli_dns irc iso_create iso_extract jabber java_cert java_keystore jboss jenkins_build jenkins_job jenkins_job_info jenkins_plugin jenkins_script jira kernel_blacklist keycloak_authentication keycloak_client keycloak_client_rolemapping keycloak_clientscope keycloak_clienttemplate keycloak_group keycloak_identity_provider keycloak_realm keycloak_role keycloak_user_federation kibana_plugin launchd layman lbu ldap_attrs ldap_entry ldap_passwd ldap_search librato_annotation linode linode_v4 listen_ports_facts lldp locale_gen logentries logentries_msg logstash_plugin lvg lvol lxc_container lxca_cmms lxca_nodes lxd_container lxd_profile macports mail make manageiq_alert_profiles manageiq_alerts manageiq_group manageiq_policies manageiq_provider manageiq_tags manageiq_tenant manageiq_user mas matrix mattermost maven_artifact memset_dns_reload memset_memstore_info memset_server_info memset_zone memset_zone_domain memset_zone_record mksysb modprobe monit mqtt mssql_db nagios netcup_dns newrelic_deployment nexmo nginx_status_info nictagadm nios_a_record nios_aaaa_record nios_cname_record nios_dns_view nios_fixed_address nios_host_record nios_member nios_mx_record nios_naptr_record nios_network nios_network_view nios_nsgroup nios_ptr_record nios_srv_record nios_txt_record nios_zone nmcli nomad_job nomad_job_info nosh npm nsupdate oci_vcn odbc office_365_connector_card ohai omapi_host one_host one_image one_image_info one_service one_template one_vm oneandone_firewall_policy oneandone_load_balancer oneandone_monitoring_policy oneandone_private_network oneandone_public_ip oneandone_server onepassword_info oneview_datacenter_info oneview_enclosure_info oneview_ethernet_network oneview_ethernet_network_info oneview_fc_network oneview_fc_network_info oneview_fcoe_network oneview_fcoe_network_info oneview_logical_interconnect_group oneview_logical_interconnect_group_info oneview_network_set oneview_network_set_info oneview_san_manager oneview_san_manager_info online_server_info online_user_info open_iscsi openbsd_pkg opendj_backendprop openwrt_init opkg osx_defaults ovh_ip_failover ovh_ip_loadbalancing_backend ovh_monthly_billing pacemaker_cluster packet_device packet_ip_subnet packet_project packet_sshkey packet_volume packet_volume_attachment pacman pacman_key pagerduty pagerduty_alert pagerduty_change pagerduty_user pam_limits pamd parted pear pids pingdom pip_package_info pkg5 pkg5_publisher pkgin pkgng pkgutil portage portinstall pritunl_org pritunl_org_info pritunl_user pritunl_user_info profitbricks profitbricks_datacenter profitbricks_nic profitbricks_volume profitbricks_volume_attachments proxmox proxmox_domain_info proxmox_group_info proxmox_kvm proxmox_nic proxmox_snap proxmox_storage_info proxmox_template proxmox_user_info pubnub_blocks pulp_repo puppet pushbullet pushover python_requirements_info rax rax_cbs rax_cbs_attachments rax_cdb rax_cdb_database rax_cdb_user rax_clb rax_clb_nodes rax_clb_ssl rax_dns rax_dns_record rax_facts rax_files rax_files_objects rax_identity rax_keypair rax_meta rax_mon_alarm rax_mon_check rax_mon_entity rax_mon_notification rax_mon_notification_plan rax_network rax_queue rax_scaling_group rax_scaling_policy read_csv redfish_command redfish_config redfish_info redhat_subscription redis redis_data redis_data_info redis_info rhevm rhn_channel rhn_register rhsm_release rhsm_repository riak rocketchat rollbar_deployment rpm_ostree_pkg rundeck_acl_policy rundeck_project runit sap_task_list_execute sapcar_extract say scaleway_compute scaleway_database_backup scaleway_image_info scaleway_ip scaleway_ip_info scaleway_lb scaleway_organization_info scaleway_security_group scaleway_security_group_info scaleway_security_group_rule scaleway_server_info scaleway_snapshot_info scaleway_sshkey scaleway_user_data scaleway_volume scaleway_volume_info sefcontext selinux_permissive selogin sendgrid sensu_check sensu_client sensu_handler sensu_silence sensu_subscription seport serverless shutdown sl_vm slack slackpkg smartos_image_info snap snmp_facts solaris_zone sorcery spectrum_device spectrum_model_attrs spotinst_aws_elastigroup ss_3par_cpg ssh_config stackdriver stacki_host statsd statusio_maintenance supervisorctl svc svr4pkg swdepot swupd syslogger syspatch sysrc sysupgrade taiga_issue telegram terraform timezone twilio typetalk udm_dns_record udm_dns_zone udm_group udm_share udm_user ufw uptimerobot urpmi utm_aaa_group utm_aaa_group_info utm_ca_host_key_cert utm_ca_host_key_cert_info utm_dns_host utm_network_interface_address utm_network_interface_address_info utm_proxy_auth_profile utm_proxy_exception utm_proxy_frontend utm_proxy_frontend_info utm_proxy_location utm_proxy_location_info vdo vertica_configuration vertica_info vertica_role vertica_schema vertica_user vexata_eg vexata_volume vmadm wakeonlan webfaction_app webfaction_db webfaction_domain webfaction_mailbox webfaction_site xattr xbps xcc_redfish_command xenserver_facts xenserver_guest xenserver_guest_info xenserver_guest_powerstate xfconf xfconf_info xfs_quota xml yarn yum_versionlock zfs zfs_delegate_admin zfs_facts znode zpool_facts zypper zypper_repository) 
modules_single_param=()

fqcnify_modules community.general
